MONGOC_GRIDFS_FILE_SET_METADATA(3)

NAME
mongoc_gridfs_file_set_metadata - mongoc_gridfs_file_set_metadata()

SYNOPSIS

void
mongoc_gridfs_file_set_metadata (mongoc_gridfs_file_t *file,
                                 const bson_t *metadata);

PARAMETERS

•   file: A mongoc_gridfs_file_t.

•   bson: A bson_t containing metadata for file.

DESCRIPTION

Sets the metadata associated with file.

You need to call mongoc_gridfs_file_save() to persist this change.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc